$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.1.4/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.1.4/cloudflared-windows-amd64.exe'

  checksum      = 'da4016e4a627fbfb3ac5446457627a5ff211af824b913cd87c4b816e27376e13'
  checksumType  = 'sha256'
  checksum64    = '518e2f647c6be2d886d046269b7f86be4abeff77dc528184be903cde5398917e'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
